Skip to main content
POST
/
generate
/
image
/
z-image
/
z-image
Z Image
curl --request POST \
  --url https://api.krea.ai/generate/image/z-image/z-image \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "A gothic cathedral, its spires reaching for the heavens, surrounded by blooming gardens.",
  "aspect_ratio": "1:1",
  "resolution": "1K"
}
'
{
  "job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "completed_at": null,
  "result": null,
  "error": {
    "code": "<string>",
    "message": "<string>"
  }
}

Pricing

Fixed API prices in USD.
Price: $0.003 per request
These aliases are accepted for compatibility only and are not shown in the request schema.
DeprecatedUse insteadAccepted until
presetStylesstyles2026-06-19
skipPromptExpansionskip_prompt_expansion2026-06-19
aspectRatioaspect_ratio2026-06-19
imageUrlimage_url2026-06-19
styleImagesstyle_images2026-06-19

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Webhook-URL
string<uri>

URL to receive a POST request when the job completes. The webhook will receive the job data including results.

Body

application/json
prompt
string
required
aspect_ratio
enum<string>
required

Aspect ratio. One of: 1:1, 4:3, 2:3, 16:9, 9:16.

Available options:
1:1,
4:3,
2:3,
16:9,
9:16
resolution
enum<string>
required

Resolution scale. One of: 1K.

Available options:
1K
seed
number
denoising_strength
number
default:0.6
Required range: 0 <= x <= 1
styles
object[]

Styles (typically LoRAs) to use for the generation

skip_prompt_expansion
boolean
default:false
image_url
string<uri> | null
style_images
object[]

Image prompts to use for the generation

Maximum array length: 1

Response

The resulting job data. This will be returned in a pending state until the job is completed. See /jobs/{id} for retrieving the results.

job_id
string<uuid>
required
status
enum<string>
required
Available options:
backlogged,
queued,
scheduled,
processing,
sampling,
intermediate-complete,
completed,
failed,
cancelled
created_at
string<date-time>
required
completed_at
null
required
result
null
required
error
object